import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
export declare class SwitchControlComponent implements OnInit {
    private ref;
    label: string;
    color: 'primary' | 'warn';
    disabled: boolean;
    cModel: any;
    set model(value: any);
    modelChange: EventEmitter<any>;
    change: EventEmitter<any>;
    sdChange: EventEmitter<any>;
    constructor(ref: ChangeDetectorRef);
    ngOnInit(): void;
    onChange(value: any): void;
}
